Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x
Author Message
rystan
New Member
New Member


Joined: Nov 27, 2005
Posts: 21
Location: Redding

PostPosted: Sun Nov 27, 2005 3:07 pm Reply with quote

I went through all the core edits at least 3 times, seems I have a abberant copy of Php-Nuke 7.5, my mainfile doesn't match any of the core edit files.. however it wasn't hard to infer what was needed to change. Below is just an example of one of them.

Code:
if ($forum_admin == 1) {

    require_once("../../../config.php");
    require_once("../../../db/db.php");
} elseif ($inside_mod == 1) {
    require_once("../../config.php");
    require_once("../../db/db.php");
} else {
    require_once("config.php");
    require_once("db/db.php");
    /* FOLLOWING TWO LINES ARE DEPRECATED BUT ARE HERE FOR OLD MODULES COMPATIBI
LITY */
    /* PLEASE START USING THE NEW SQL ABSTRACTION LAYER. SEE MODULES DOC FOR DET
AILS */
    require_once("includes/sql_layer.php");
    $dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
}

I changed to
Code:
if ($forum_admin == 1) {

    require_once("../../../config.php");
    require_once("../../../db/db.php");
    require_once("../../../includes/sql_layer.php");
    //require_once("../../../includes/ipban.php");
    require_once("../../../includes/nukesentinel.php");
} elseif ($inside_mod == 1) {
    require_once("../../config.php");
    require_once("../../db/db.php");
    require_once("../../includes/sql_layer.php");
    //require_once("../../includes/ipban.php");
    require_once("../../includes/nukesentinel.php");
} else {
    require_once("config.php");
    require_once("db/db.php");
    /* FOLLOWING TWO LINES ARE DEPRECATED BUT ARE HERE FOR OLD MODULES COMPATIBI
LITY */
    /* PLEASE START USING THE NEW SQL ABSTRACTION LAYER. SEE MODULES DOC FOR DET
AILS */
    require_once("includes/sql_layer.php");
    //require_once("includes/ipban.php");
    require_once("includes/nukesentinel.php");
    $dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
}



I performed the backups, core file edits, and uploads of the additional files and ran the install.. all that went flawlessly. Even remember not to touch the .htaccess or .staccess files yet. I went to log into the admin panel and found that I had a "Illegal Access Detected" warning and only 1/4 of my panel would show up and none of it was accessible. I thrice checked my edits and uploads and cannot find any reason.

If anyone can suggest places for me to look, that would be appreciated.
I have Sentinel up and running on another website and it gave me no problems at all.
 
View user's profile Send private message
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17086

PostPosted: Sun Nov 27, 2005 3:11 pm Reply with quote

Have you searched the forums for Illegal Access Detected? I'm pretty sure we've addressed this before.
 
View user's profile Send private message
rystan
PostPosted: Sun Nov 27, 2005 3:45 pm Reply with quote

Of course, that worked perfectly! Thanks Raven. I had to define the admin page.
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©